mfssupervisor(8)

NAME
mfssupervisor - tool for controlling the work of MooseFS master process

SYNOPSIS
mfssupervisor [-xdfrc] [-l new leader ip] [-s mode] [-B local address] [-H master host name] [-P master supervising port]

mfssupervisor -v

mfssupervisor -h

DESCRIPTION

mfssupervisor is the supervisor program of MooseFS. It can be used to force certain actions of MooseFS master(s), like saving metadata or changing leadership. When no action (options -r, -l or -s) is defined, the tool will just display info about the master(s) current state(s).

OPTIONS

-v  print version information and exit

-h  print usage information and exit

-x  produce more verbose output

-d  (pro only) dry run (print info, but do not change anything)

-f  (pro only) force electing not synchronized follower; see NOTES

-r  (pro only) try to resolve the master states situation; usually selects one of the followers and sets its state to ELECT if no elects or leaders are present

-l  (pro only) try to change the role of the master with given IP to leader;

-c  (pro only) run configuration consistency check; if any inconsistencies are present, they will be reported via syslog

-s  force metadata store or (pro only) metadata check on given master group (pro version requires specifying a mode, possible values: L - LEADER only, F - FOLLOWERS only, A - all servers with CRC check, C - all servers CRC check only, no metadata is stored on disk)

-B  local address to use for master connections (default: *, i.e. default local address)

-H  use given host to find your master server(s) (default: mfsmaster)

-P  use given port to connect to your master server(s) (default: 9419)

NOTES

Options -s,-r and -l are mutually exclusive

Option -f can be used only with option -r

Option -d can be used only with option -r or -l

Option -f shouldn't be used unless it is necessary in situations when not all master servers defined in DNS are connected (i.e. after a crash when one of the master machines is offline). In an environment where all master machines are present, the leader should be picked automatically.

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2026 Jakub Kruszona-Zawadzki, Saglabs SA This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, see <https://www.gnu.org/licenses/>.

SEE ALSO
mfsmaster(8)